package cn.superdesk.uniorder.service.kafka.impl;

import cn.superdesk.uniorder.dao.entity.kafka.KafkaConsumerRecord;
import cn.superdesk.uniorder.dao.mapper.kafka.KafkaConsumerRecordMapper;
import cn.superdesk.uniorder.service.kafka.KafkaConsumerRecordService;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 5/13/20 8:50 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 5/13/20 8:50 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Service
public class KafkaConsumerRecordServiceImpl implements KafkaConsumerRecordService {


    @Autowired
    private KafkaConsumerRecordMapper kafkaConsumerRecordMapper;


    @Override
    public int insertSelective(KafkaConsumerRecord kafkaConsumerRecord) {
        return kafkaConsumerRecordMapper.insertSelective(kafkaConsumerRecord);
    }

    @Override
    public int updateByPrimaryKeySelective(KafkaConsumerRecord kafkaConsumerRecord) {
        return kafkaConsumerRecordMapper.updateByPrimaryKeySelective(kafkaConsumerRecord);
    }

    @Override
    public void deleteObj(Long id) {

    }

    @Override
    public KafkaConsumerRecord findById(Long id) {
        return null;
    }


    @Override
    public List<KafkaConsumerRecord> findAll(Map<String, Object> queryMap) {
        return null;
    }

    @Override
    public PageInfo<KafkaConsumerRecord> findByPaging(Map<String, Object> params, Integer pageNo, Integer pageSize) {
        return null;
    }
}
